## python-fastfunc 0.1.6

=== Makefile ===
VERSION=$(shell python3 -c "import fastfunc; print(fastfunc.__version__)")

default:
	@echo "\"make publish\"?"

tag:
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	@echo "Tagging v$(VERSION)..."
	git tag v$(VERSION)
	git push --tags

upload: setup.py
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -rf dist/*
	python3 setup.py sdist
	twine upload dist/*.tar.gz
	# HTTPError: 400 Client Error: Binary wheel 'pygalmesh-0.2.0-cp27-cp27mu-linux_x86_64.whl' has an unsupported platform tag 'linux_x86_64'. for url: https://upload.pypi.org/legacy/
	# python3 setup.py bdist_wheel --universal
	# twine upload dist/*.whl

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/

black:
	black setup.py fastfunc/ test/*.py

lint:
	black --check setup.py fastfunc/ test/*.py
	flake8 setup.py fastfunc/ test/*.py

=== debian/changelog ===
python-fastfunc (0.1.6-1) unstable; urgency=medium

  * Initial release.
    - supports optimesh (see ITP#910279) 

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Oct 2018 18:08:09 +0800

=== debian/control ===
Source: python-fastfunc
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python, python3-all-dev, python3-setuptools,
 python3-pybind11
Standards-Version: 4.2.1
Homepage: https://github.com/nschloe/fastfunc
Vcs-Browser: https://salsa.debian.org/science-team/python-fastfunc
Vcs-Git: https://salsa.debian.org/science-team/python-fastfunc.git

Package: python3-fastfunc
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Fast numpy ufunc operations (Python 3)
 NumPy's own ufunc operations are handy, but can be quite slow
 (see https://github.com/numpy/numpy/issues/5922 and
 https://github.com/numpy/numpy/issues/11156).
 Use fastfunc as a drop-in replacement
 .
    # import numpy
    # numpy.add.at(target, idx, vals)
    import fastfunc
    fastfunc.add.at(target, idx, vals)
 .
 to get a speed-up by a factor of 40.
 .
 This is achieved by moving the operations to C++ using pybind11.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=fastfunc

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-fastfunc-$1.tar.gz%" \
   https://github.com/nschloe/fastfunc/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
